io.vertx.ext.json.schema.common

## Enum ValidatorPriority

- java.lang.Object
- - java.lang.Enum<ValidatorPriority>
  - - io.vertx.ext.json.schema.common.ValidatorPriority

- All Implemented Interfaces:
    Serializable, Comparable<ValidatorPriority>

      public enum ValidatorPriority
      extends Enum<ValidatorPriority>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTEXTUAL_VALIDATOR`
    `MAX_PRIORITY`
    `NORMAL_PRIORITY`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Comparator<PriorityGetter>` | `COMPARATOR`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ValidatorPriority` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ValidatorPriority[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MAX_PRIORITY

          public static final ValidatorPriority MAX_PRIORITY

    - #### NORMAL_PRIORITY

          public static final ValidatorPriority NORMAL_PRIORITY

    - #### CONTEXTUAL_VALIDATOR

          public static final ValidatorPriority CONTEXTUAL_VALIDATOR

  - ### Field Detail

    - #### COMPARATOR

          public static Comparator<PriorityGetter> COMPARATOR

  - ### Method Detail

    - #### values

          public static ValidatorPriority[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ValidatorPriority c : ValidatorPriority.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ValidatorPriority valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2020 Eclipse. All rights reserved.